Bug 48828 - [Maintainer update] textproc/xerces-c2
Summary: [Maintainer update] textproc/xerces-c2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2003-03-02 10:00 UTC by Bjoern A. Zeeb
Modified: 2003-05-19 14:34 UTC (History)
1 user (show)

See Also:


Attachments
xerces-c2-2003-03-02-01.diff.bz2 (8.06 KB, application/octet-stream)
2003-03-02 10:00 UTC, Bjoern A. Zeeb
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Bjoern A. Zeeb 2003-03-02 10:00:19 UTC
	Xerces-C++ team has released a new version.

	There have been some memory related fixes along withj lots others;
	see http://xml.apache.org/xerces-c/releases.html

Fix: Updated package:

	- fix building with new version (also seems to compile on alpha,
		tested with testdrive.compaq.com account)
	- adjust Makefile to use MASTER_SITE_APACHE_XML
	- update not yet commited icu dependency (can someone please also
	look at http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/34265 too)
	- a _huge_ pkg-plist update

	bz2 compressed diff (pkg-plist diff is rather long)


	one new file files/patch-ab
Comment 1 Bjoern A. Zeeb 2003-03-10 19:35:57 UTC
>Submitter-Id:	current-users
>Originator:	Bjoern A. Zeeb
>Organization:	Zabbadoz.NeT
>Confidential:	no
>Synopsis:	Re: ports/48828: [Maintainer update] textproc/xerces-c2
>Severity:	non-critical
>Priority:	medium
>Category:	ports
>Class:		maintainer-update
>Release:	FreeBSD 4.7-STABLE i386
>Environment:
System: FreeBSD e0-0.zab2.int.zabbadoz.net 4.7-STABLE FreeBSD 4.7-STABLE #0: Fri Dec 27 22:08:07 UTC 2002 bz@e0-0.zab2.int.zabbadoz.net:/export/src/src/obj/export/src/src/RELENG_4/src/sys/ZAB2-2002122701 i386


>Description:

patches have been included/merged in/to main xerces-c++
tree and will be included in next release thus update
our patch set to reflect those changes

>Fix:

(following is verified to compile on i386 with transcoder native
 and IconvFBSD(libiconv))

please substitute the patches patch-aa and patch-ab from
the tbz of this PR with these two files:

soon will also be available for fetching on
WWW: http://sources.zabbadoz.net/freebsd/ports/

-----------------------   new patch-aa ------------------------
--- src/xercesc/util/Transcoders/IconvFBSD/IconvFBSDTransService.cpp	2002/12/31 18:42:43	1.7
+++ src/xercesc/util/Transcoders/IconvFBSD/IconvFBSDTransService.cpp	2003/03/07 15:08:57	1.10
@@ -56,6 +56,15 @@
 
 /*
  * $Log: IconvFBSDTransService.cpp,v $
+ * Revision 1.10  2003/03/07 15:08:57  tng
+ * [Bug 17571] fix building IconvFBSD (namespaces) .  Patch from Bjoern A. Zeeb.
+ *
+ * Revision 1.9  2003/03/07 14:42:45  tng
+ * [Bug 17570] IconvFBSD build on alpha,sparc.  Patch from Bjoern A. Zeeb.
+ *
+ * Revision 1.8  2003/02/25 08:15:42  gareth
+ * Patch to fix compile problem in bug #17358. Patch by Michael Cahill.
+ *
  * Revision 1.7  2002/12/31 18:42:43  tng
  * [Bug 15608] IconvLCPTranscoder::transcode() is wrong at wcstombs() usage.
  *
@@ -103,8 +112,6 @@
 # include <errno.h>
 # include <machine/endian.h>
 
-XERCES_CPP_NAMESPACE_BEGIN
-
 // ---------------------------------------------------------------------------
 // Description of encoding schemas, supported by iconv()
 // ---------------------------------------------------------------------------
@@ -209,6 +216,12 @@
 #include <stdlib.h>
 #include <stdio.h>
 
+#if !defined(APP_NO_THREADS)
+#include <xercesc/util/Mutexes.hpp>
+#endif
+
+XERCES_CPP_NAMESPACE_BEGIN
+
 // ---------------------------------------------------------------------------
 //  Local, const data
 // ---------------------------------------------------------------------------
@@ -314,8 +327,6 @@
 #else /* XML_USE_LIBICONV */
 
 #if !defined(APP_NO_THREADS)
-
-#include <xercesc/util/Mutexes.hpp>
 // Iconv() access syncronization point
 static XMLMutex    *gIconvMutex = NULL;
 #  define ICONV_LOCK    XMLMutexLock lockConverter(gIconvMutex);
@@ -1099,7 +1110,8 @@
         // perform conversion
         wLent *= uChSize();
         char    *ptr = retVal;
-        size_t    rc = iconvTo(wideCharBuf, &wLent, &ptr, neededLen);
+        size_t  tmpwLent = wLent;
+        size_t  rc = iconvTo(wideCharBuf, &tmpwLent, &ptr, neededLen);
         if (rc == (size_t)-1) {
             if (wBufPtr)
             delete [] wBufPtr;
@@ -1563,6 +1575,6 @@
     return (rc != (size_t)-1) && (len == 0);
 }
 
-XERCES_CPP_NAMESPACE_END
-
 #endif /* XML_USE_LIBICONV */
+
+XERCES_CPP_NAMESPACE_END
----------------------- / new patch-aa ------------------------



-----------------------   new patch-ab ------------------------
--- src/xercesc/util/Transcoders/IconvFBSD/IconvFBSDTransService.hpp	2002/11/04 15:14:34	1.4
+++ src/xercesc/util/Transcoders/IconvFBSD/IconvFBSDTransService.hpp	2003/03/07 15:08:57	1.5
@@ -56,6 +56,9 @@
 
 /*
  * $Log: IconvFBSDTransService.hpp,v $
+ * Revision 1.5  2003/03/07 15:08:57  tng
+ * [Bug 17571] fix building IconvFBSD (namespaces) .  Patch from Bjoern A. Zeeb.
+ *
  * Revision 1.4  2002/11/04 15:14:34  tng
  * C++ Namespace Support.
  *
@@ -85,11 +88,13 @@
 
 #include <xercesc/util/TransService.hpp>
 
+#ifdef XML_USE_LIBICONV
+#  include <iconv.h>
+#endif
+
 XERCES_CPP_NAMESPACE_BEGIN
 
 #ifdef XML_USE_LIBICONV
-
-#  include <iconv.h>
 
 // ---------------------------------------------------------------------------
 //  Libiconv wrapper (low-level conversion utilities collection)
----------------------- / new patch-ab ------------------------
Comment 2 Tilman Keskinoz freebsd_committer 2003-05-19 14:34:48 UTC
State Changed
From-To: open->closed

committed, thanks